Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedCacheableMimeResponseChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedChannelAdapter
          org.jasig.portal.MultithreadedCacheableChannelAdapter
              org.jasig.portal.MultithreadedCacheableMimeResponseChannelAdapter

All Implemented Interfaces:
  ICacheable, IChannel, IMimeResponse

Direct Known Subclasses:
  MultithreadedPrivilegedCacheableMimeResponseChannelAdapter

    public class MultithreadedCacheableMimeResponseChannelAdapter

extends MultithreadedCacheableChannelAdapter
implements IMimeResponse

Internal adapter for a multithreaded channel that is also cacheable and implements IMimeResponse (capable of using DonwloadWorker)

Version:
  $Revision: 1.5 $
Author:
  Alex Vigdor
See Also:
  `MultithreadedCacheableChannelAdapter`

Field Summary

Fields inherited from class org.jasig.portal.MultithreadedChannelAdapter
`channel, uid`

Constructor Summary
`MultithreadedCacheableMimeResponseChannelAdapter(IMultithreadedChannel channel, java.lang.String uid)`

Method Summary
`void` | `downloadData(java.io.OutputStream out)` Pass the OutputStream object to the download code if it needs special handling (like outputting a Zip file).
`java.lang.String` | `getContentType()` Returns the MIME type of the content.
`java.util.Map` | `getHeaders()` Returns a list of header values that can be set in the HttpResponse.
`java.io.InputStream` | `getInputStream()` Returns the MIME content in the form of an input stream.
`java.lang.String` | `getName()` Returns the name of the MIME file.
`void` | `reportDownloadError(java.lang.Exception e)` Let the channel know that there were problems with the download

Methods inherited from class org.jasig.portal.MultithreadedCacheableChannelAdapter
`generateKey, isCacheValid`

Methods inherited from class org.jasig.portal.MultithreadedChannelAdapter
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultithreadedCacheableMimeResponseChannelAdapter

    public MultithreadedCacheableMimeResponseChannelAdapter(IMultithreadedChannel channel,
                                                            java.lang.String uid)
                                                     throws PortalException

Throws:
  `PortalException`

Method Detail

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `IMimeResponse`
  Returns the MIME type of the content.

  Specified by:
    `getContentType` in interface `IMimeResponse`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from interface: `IMimeResponse`
  Returns the MIME content in the form of an input stream. Returns null if the code needs the OutputStream object

  Specified by:
    `getInputStream` in interface `IMimeResponse`
  Throws:
    `java.io.IOException`

### downloadData

    public void downloadData(java.io.OutputStream out)
                      throws java.io.IOException

  Description copied from interface: `IMimeResponse`
  Pass the OutputStream object to the download code if it needs special handling (like outputting a Zip file).

  Specified by:
    `downloadData` in interface `IMimeResponse`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Description copied from interface: `IMimeResponse`
  Returns the name of the MIME file.

  Specified by:
    `getName` in interface `IMimeResponse`

### getHeaders

    public java.util.Map getHeaders()

  Description copied from interface: `IMimeResponse`
  Returns a list of header values that can be set in the HttpResponse. Returns null if no headers need to be set.

  Specified by:
    `getHeaders` in interface `IMimeResponse`

### reportDownloadError

    public void reportDownloadError(java.lang.Exception e)

  Description copied from interface: `IMimeResponse`
  Let the channel know that there were problems with the download

  Specified by:
    `reportDownloadError` in interface `IMimeResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD